

# ---- IPAM pipeline

# site_name;vlan_name;vlan_id;vlan_familly:
- classname: _pipeline
  keyname: ipam_vlan_csv
  displayname: IPAM VLAN from CSV
  is_enabled: true
  description: Import IPAM VLAN from CSV
  content: |
      csv_delimiter: ';'
      classname: ipam_vlan
      keyfield: primary_key
      tasks: 
          - field_rename: ['', 'vlan_name','keyname']
          #- field_copy: ['','site_name', 'key2']
          #- field_append: ['', 'key2','-']
          #- field_merge: ['','key2', 'vlan_name','key3']
          #- field_append: ['','key3','-']
          #- field_merge: ['', 'key3', 'vlan_id','key4']
          #- field_append: ['','key4','-']
          #- field_merge: ['', 'key4', 'vlan_familly','key5']
          #- field_delete: ['', 'key2','key3','key4']
          #- field_rename: ['', 'key5','displayname']
          